Package Details: liberica-jdk-full-bin 22.0.1.u10-1

Git Clone URL: https://aur.archlinux.org/liberica-jdk-full-bin.git (read-only, click to copy)
Package Base: liberica-jdk-full-bin
Description: BellSoft builds of OpenJDK are fully certified and 100% open source Java Development Kits (JDKs) for all Java development and production workloads. Full version includes OpenJFX.
Upstream URL: https://bell-sw.com/
Keywords: bellsoft java jdk liberica
Licenses: custom
Provides: java-environment, java-environment-openjdk, java-openjfx, java-runtime, java-runtime-headless, java-runtime-headless-openjdk, java-runtime-openjdk, liberica-jdk-bin, liberica-jdk-full-bin, liberica-jdk-lite-bin, liberica-jre-bin, liberica-jre-full-bin
Submitter: jonathon
Maintainer: Nevuly
Last Packager: Nevuly
Votes: 6
Popularity: 0.39
First Submitted: 2020-02-15 17:01 (UTC)
Last Updated: 2024-04-18 05:29 (UTC)

Required by (2791)

Sources (10)

Latest Comments

1 2 Next › Last »

Nevuly commented on 2024-03-25 13:03 (UTC)

@TXH

Thanks for leaving issue. I changed to new link for download icons.

TXH commented on 2024-03-22 02:28 (UTC)

Now the download address of java-icon seems to need to set User Agent to download. Can you add a UA or replace the link (e.g. https://github.com/openjdk/jdk/blob/master/src/java.desktop/unix/classes/sun/awt/X11/java-icon16.png)?

cdiamond commented on 2023-10-01 17:20 (UTC) (edited on 2023-10-01 17:24 (UTC) by cdiamond)

Warning: this software has limitations on download access based on a user's country of residence.

Nevuly commented on 2023-04-26 08:58 (UTC)

@havrak

Thanks to report bug, I updated install package to fix that error.

havrak commented on 2023-04-26 08:33 (UTC)

Seems that Bellsoft change links scheme thus https://download.bell-sw.com/java/20+0.1+10/bellsoft-jdk20+0.1+10-linux-amd64-full.tar.gz Results in 404 error. Correct link should be https://download.bell-sw.com/java/20.0.1+10/bellsoft-jdk20.0.1+10-linux-amd64-full.tar.gz (instead of + there are now .)

Simon197 commented on 2022-08-03 00:24 (UTC)

I was using an aur helper (paru in this case) and it seems it only pulled down the Upstream 18.0.2+10 PKGBUILD, which probably was a poor timing thing.

that's just me being dumb, sorry!

jonathon commented on 2022-08-01 17:13 (UTC)

The current PKGBUILD looks correct to me, and the URLs listed above in the Sources also work?

So, what are you doing differently that means it doesn't work for you?

Simon197 commented on 2022-08-01 16:16 (UTC)

as user @haawda pointed out; the package gives a 404 error upon attempted update or install.

The reason for this is quite simple; the link being used is incorrect because of an incorrect formatting of the _pkg_ver variable. said variable is 18.0.2.0+10 instead of this; 18.0.2+10 removing the last .0 from the left side of the + fixes the error

haawda commented on 2021-10-22 16:23 (UTC)

404-error for latest update.

teacher4711 commented on 2021-03-28 15:50 (UTC) (edited on 2021-03-28 15:51 (UTC) by teacher4711)

Hi, the package builds, but only if you change the first three sha1sums into:

19873c53aaf234d215b9892450bfd4e95c13ed7c

5347a8c12c16a29aada0babdfda5dbef236717c0

8a66b7e3c5fa8b2f11ee1dd2b11127f7156cb60b

Thanks teacher4711